Page MenuHomeFreeBSD

www/node8: copy from www/node, update 8.8.1 -> 8.9.0 (LTS)
ClosedPublic

Authored by bhughes on Nov 3 2017, 4:36 PM.

Details

Summary

www/node8: copy from www/node, update 8.8.1 -> 8.9.0 (LTS)

Create a new port for the latest Node.js 8.9.0 LTS release. Update
CONFLICTS for the existing Node.js ports to include the new node8
port and remove non-existent ports.

https://nodejs.org/en/blog/release/v8.9.0/

Test Plan

$ pwd
/usr/ports/www/node8
$ portlint -C
WARN: Makefile: possible use of absolute pathname "/etc/make.conf".
WARN: Makefile: "IGNORE" has to appear earlier.
WARN: Makefile: "ONLY_FOR_ARCHS" has to appear earlier.
0 fatal errors and 3 warnings found.

http://35.176.84.170/data/latest-per-pkg/node8/8.9.0/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bhughes created this revision.Nov 3 2017, 4:36 PM
bhughes edited the summary of this revision. (Show Details)Nov 3 2017, 4:37 PM
robak requested changes to this revision.Nov 5 2017, 5:55 PM

Minor changes requested.

www/node/Makefile
45 ↗(On Diff #34725)

Is there node-devel in ports tree? If not, it shouldn't be here.

www/node4/Makefile
35 ↗(On Diff #34725)

Same as above.

www/node6/Makefile
44 ↗(On Diff #34725)

Same as above.

www/node8/Makefile
11 ↗(On Diff #34725)

Could add a word about it being upstream LTS.

46 ↗(On Diff #34725)

Again, node-devel.

This revision now requires changes to proceed.Nov 5 2017, 5:55 PM
bhughes updated this revision to Diff 34838.Nov 5 2017, 8:23 PM
bhughes marked 3 inline comments as done.

Removing non-existent ports from CONFLICTS

bhughes added inline comments.Nov 5 2017, 8:23 PM
www/node/Makefile
45 ↗(On Diff #34725)

No, there is no node-devel, node010, node012, or iojs in the ports tree anymore. I will remove all references to them now.

bhughes edited the summary of this revision. (Show Details)Nov 5 2017, 8:25 PM
bhughes marked 2 inline comments as done.Nov 6 2017, 2:04 PM
bhughes marked an inline comment as done.
robak accepted this revision.Nov 6 2017, 2:08 PM

LGTM.

This revision is now accepted and ready to land.Nov 6 2017, 2:08 PM
This revision was automatically updated to reflect the committed changes.